# Poco::Data::PostgreSQL

# class SessionParameters

Library: Data/PostgreSQL
Package: PostgreSQL
Header: Poco/Data/PostgreSQL/SessionHandle.h

## Description

PostgreSQL session parameters

## Member Summary

Member Functions: compiledDefault, currentValue, displayLabel, displaySize, enviromentVariable, howToDisplay, keyword

## Enumerations

### HowToDisplay

HTD_ASIS

HTD_HIDE

HID_DEBUG

## Constructors

### SessionParameters

SessionParameters(
const std::string & aKeyword,
const std::string & anEnvironmentVariable,
const std::string & aCompiledDefault,
const std::string & aCurrentValue,
const std::string & aDisplayLabel,
const std::string & aHowToDisplay,
int aDisplaySize
);

## Destructor

### ~SessionParameters

~SessionParameters();

## Member Functions

### compiledDefault

std::string compiledDefault() const;

### currentValue

std::string currentValue() const;

### displayLabel

std::string displayLabel() const;

### displaySize

int displaySize() const;

### enviromentVariable

std::string enviromentVariable() const;

### howToDisplay

HowToDisplay howToDisplay() const;

### keyword

std::string keyword() const;